from models import VimModel
from views import CursesAdapter
from controllers import EditController

def main():
    model = VimModel()
    view = CursesAdapter()
    controller = EditController(model, view)

    # Загрузка файла для редактирования
    file_path = "example.txt"  # Укажите путь к файлу
    model.LoadFile(file_path)

    while True:
        controller.Render()
        symbolCode = view.GetChar()
        if not controller.HandleInput(symbolCode):
            break

    view.Cleanup()

if __name__ == "__main__":
    main()